Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.vlaanderen.mercurius.vsb.schemas.v1
Enum ParameterKeyTypeType

    java.lang.Object
      java.lang.Enum<ParameterKeyTypeType>
          be.vlaanderen.mercurius.vsb.schemas.v1.ParameterKeyTypeType

All Implemented Interfaces:
  Serializable, Comparable<ParameterKeyTypeType>

    public enum ParameterKeyTypeType

extends Enum<ParameterKeyTypeType>

Java class for ParameterKeyTypeType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="ParameterKeyTypeType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="LONG_DATE"/>
         <enumeration value="SHORT_DATE"/>
         <enumeration value="DAY_OF_MONTH"/>
         <enumeration value="UNITS"/>
         <enumeration value="AMOUNT"/>
         <enumeration value="PERIOD_LONG_DATE"/>
         <enumeration value="PERIOD_SHORT_DATE"/>
         <enumeration value="SHORT_LIST"/>
         <enumeration value="SHORT_YEAR"/>
         <enumeration value="SINGLE_FIELD"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`AMOUNT`
`DAY_OF_MONTH`
`LONG_DATE`
`PERIOD_LONG_DATE`
`PERIOD_SHORT_DATE`
`SHORT_DATE`
`SHORT_LIST`
`SHORT_YEAR`
`SINGLE_FIELD`
`UNITS`

Method Summary
`static ParameterKeyTypeType` | `fromValue(String v)`
`String` | `value()`
`static ParameterKeyTypeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ParameterKeyTypeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LONG_DATE

    public static final ParameterKeyTypeType LONG_DATE

### SHORT_DATE

    public static final ParameterKeyTypeType SHORT_DATE

### DAY_OF_MONTH

    public static final ParameterKeyTypeType DAY_OF_MONTH

### UNITS

    public static final ParameterKeyTypeType UNITS

### AMOUNT

    public static final ParameterKeyTypeType AMOUNT

### PERIOD_LONG_DATE

    public static final ParameterKeyTypeType PERIOD_LONG_DATE

### PERIOD_SHORT_DATE

    public static final ParameterKeyTypeType PERIOD_SHORT_DATE

### SHORT_LIST

    public static final ParameterKeyTypeType SHORT_LIST

### SHORT_YEAR

    public static final ParameterKeyTypeType SHORT_YEAR

### SINGLE_FIELD

    public static final ParameterKeyTypeType SINGLE_FIELD

Method Detail

### values

    public static ParameterKeyTypeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ParameterKeyTypeType c : ParameterKeyTypeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ParameterKeyTypeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static ParameterKeyTypeType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.